Subject: Re: Can't build XFree86-clients
To: Martti Kuparinen <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 05/04/2004 11:13:41
On Tue, 4 May 2004, Martti Kuparinen wrote:

> ===> Required package Xrandr>=1.0.1: NOT found
> ===> Verifying update for ../../x11/Xrandr
> ===> Xrandr-1.0.2 won't build without the X Extension
> ===> library which is only present in XFree86>=4.3.
> *** Error code 1
> I solved this by setting X11BASE=/usr/pkg/X11R6 in /etc/mk.conf. The

I really think that the packages should use the X11BASE for
their installation. (In other words, don't invent a ${PREFIX}/X11R6 but
use ${X11BASE} as the X11ROOT. Maybe get replace X11ROOT with X11BASE.)

Then we wouldn't have this problem.

> next error is:
> ===> Building for XFree86-clients-4.4.0
> making all in programs/xdm...
> <command line>:1:17: missing terminating " character

Not Linux related. Others (and myself) have had same issue.

(I believe there were other threads about this too.)

 Jeremy C. Reed

 	  	 	 technical support & remote administration